## org.openmuc.jasn1.compiler
Class CompilerArgs

    java.lang.Object
      org.openmuc.jasn1.compiler.CompilerArgs

    public class CompilerArgs

extends java.lang.Object

Constructor Summary
`CompilerArgs()`

Method Summary
`java.lang.Boolean` `getGenerateModelOnly()`
`java.lang.String` `getInputFileName()`
`java.lang.String` `getNamespace()`
`java.lang.String` `getOutputDir()`
`void` `setGenerateModelOnly(java.lang.Boolean generateModelOnly)`
`void` `setInputFileName(java.lang.String inputFileName)`
`void` `setNamespace(java.lang.String namespace)`
`void` `setOutputDir(java.lang.String outputDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilerArgs

    public CompilerArgs()

Method Detail

### getOutputDir

    public java.lang.String getOutputDir()

### setOutputDir

    public void setOutputDir(java.lang.String outputDir)

### getInputFileName

    public java.lang.String getInputFileName()

### setInputFileName

    public void setInputFileName(java.lang.String inputFileName)

### getNamespace

    public java.lang.String getNamespace()

### setNamespace

    public void setNamespace(java.lang.String namespace)

### getGenerateModelOnly

    public java.lang.Boolean getGenerateModelOnly()

### setGenerateModelOnly

    public void setGenerateModelOnly(java.lang.Boolean generateModelOnly)